﻿@using GoCoCMS.Web.Areas.Admin.Models.Category
@model CategoryListModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_AdminLayout.cshtml";
}
<div class="content-header clearfix">
    <h1 class="pull-left">
        Manage Categories
    </h1>
    <div class="pull-right">
        <a asp-action="Create" class="btn bg-blue">
            <i class="fa fa-plus-square"></i>
            Add new
        </a>
    </div>
</div>

<div class="content">
    <div class="form-horizontal">
        <div class="panel-group">
            @await Html.PartialAsync("_SearchForm", Model.CategorySearchModel)

            <div class="panel panel-default">
                <div class="panel-body">
                    <table class="table table-bordered table-striped table-hover">
                        <tr>
                            <th width="40%">Category name</th>
                            <th width="25%">Description</th>
                            <th width="15%">Display order</th>
                            <th width="20%" class="text-center">Action</th>
                        </tr>
                        @foreach (var category in Model.Categories)
                        {
                            <tr>
                                <td>@category.Breadcrumb</td>
                                <td>@category.Description</td>
                                <td>@category.DisplayOrder</td>
                                <td class="text-center">
                                    <a class="btn btn-default" asp-action="Edit" asp-route-id="@category.Id"><i class="fa fa-edit"></i>Edit</a>
                                    <a class="btn btn-default" asp-action="Delete" asp-route-id="@category.Id" onclick="return confirm('Are you sure you want to delete this item?')"><i class="fa fa-remove"></i>Delete</a>
                                </td>
                            </tr>
                        }
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="text-center">
        <goco-paging page-model="@Model.PagingModelFilter"
                     page-action=""
                     page-class="page-link"
                     page-class-selected="active" />
    </div>
</div>